Page MenuHomePhabricator

Homepage and help panel: ask question dialog should be aware of back button
Closed, ResolvedPublic

Description

From @Etonkovidova in T222833

There is a strange behavior for back button when the back button is clicked from Mentorship/Help popup.
@kostajh - need your opinion on

  • whether the present behavior of back button is expected (and acceptable)
  • could it be a regression of some sort?
  • Click 'Your mentor' module, then click 'Ask your mentor a question' (the same behavior for the "Get help with editing" module).
  • A popup form will be present - click on the Back button - instead of going back, no navigation action happens. Instead the forward button becomes active but clicking on it does not provide any navigation either.

The screen recording shows no navigation actions when back/forward buttons are clicked.

  1. If the back button clicked one more time - it goes back to the side menu that sometimes occupies the whole screen:

It's worth noting that the same problem exists for the help panel -- try editing a page on mobile, opening the help panel, then tapping back. (See also T215430)

Event Timeline

kostajh created this task.Jun 18 2019, 6:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2019, 6:40 PM
kostajh claimed this task.Jun 18 2019, 6:41 PM
kostajh moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.
MMiller_WMF renamed this task from Help panel and ask question dialog should be aware of back button to Homepage and help panel: ask question dialog should be aware of back button.Jun 18 2019, 6:46 PM
MMiller_WMF added subscribers: SBisson, Catrope, Cntlsn and 5 others.

@kostajh -- I just tried this out, and I understand it now. I do think we should have it high on the list of things to address, but it's not a blocker for the mobile release. I'm adding it to the "Desired" list in the MVP task.

Change 517917 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] (wip) Homepage: Open ask question dialog in route

https://gerrit.wikimedia.org/r/517917

phuedx moved this task from Needs triage to Triaged on the Mobile board.Jun 20 2019, 10:00 AM

Change 517917 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Homepage: Open ask question dialog in route

https://gerrit.wikimedia.org/r/517917

Etonkovidova updated the task description. (Show Details)Jun 26 2019, 6:52 AM
Etonkovidova closed this task as Resolved.Jun 26 2019, 7:05 AM

Checked in betalabs - works as expected. I'll check it also after deployment.